Subject: Re: Last Call: draft-ietf-mpls-tp-oam-requirements (RequirementsforOAMin MPLS Transport Networks) to Proposed Standard

From: [email-masked]
Date: Tue, 6 Oct 2009 16:48:18 +0200

Hi Adrian,

Sorry for the mistake, I have resend the mail to IETF.

As for your comments about specific requirements, IMHO, I think most of the 
requirements in the document are actually a little bit generic.And requirement 
21 of RFC 5654 is so generic as well. The proposed requirement is specifying 
what that requirement means in the context of OAM.

Another comments is about the Diagnostic Tests which include loopback and 
estimation of bandwidth. From a carrier's viewpoint, I think loopback and Route 
Tracing belonging to the same tpye of function, Bandwidth Measurement and 
Packet loss Measurement belonging to the same tpye of function. So I propose to 
make loopback as a individual requirement just as Route Tracing. 

Best regards

Ruiquan Jing

China Telecom

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: Saturday, October 03, 2009 11:28 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: Last Call: draft-ietf-mpls-tp-oam-requirements 
(RequirementsforOAMin MPLS Transport Networks) to Proposed Standard

By the way, was there an exceptional circumstance driving you to send direct to 
the IESG rather than to the IETF list?

Thanks,
Adrian
----- Original Message -----
From: "Adrian Farrel" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Friday, October 02, 2009 11:49 PM
Subject: Re: Last Call: draft-ietf-mpls-tp-oam-requirements
(RequirementsforOAMin MPLS Transport Networks) to Proposed Standard

> Hi Jing,
>
>> As a carrier, we think it is very important to operate MPLS-TP OAM 
>> with a behavior that is consistent with transport network operations. 
>> So we propose the following requirement to be added to MPLS-TP OAM 
>> requirements draft:
>>
>> "
>> It MUST be possible to operate the MPLS-TP OAM protocols, which 
>> satisfy functional requirements that are common to general transport 
>> layer network (i.e., independent of technology), in a way that is 
>> similar to the way equivalent mechanisms are operated in other 
>> transport layer technologies (e.g., SONET/SDH, OTN and Ethernet).
>> "
>
> I want to make sure that your opinion is heard.
>
> To do this, we must convert this text into something more concrete 
> that it is possible to implement.
>
> The problem is that what you have written is very widely scoped and 
> would require an implementer to go and find out (from somewhere) what 
> the actual requirements are. We need specific and tightly scoped 
> requirements. That means that you need to document the individual 
> "functional requirements that are common to general transport layer 
> networks" and the mode of operation that would be "similar to the [] 
> equivalent mechanisms [] in other transport layer technologies."
>
> It is simply not enough to say "I want the OAM to be sort of like 
> something else." While I can sympathise with your desire, I could not 
> produce a product that was certain to meet your requirements.
>
> So, I suggest that what you need to do is list specific requirements 
> for functions or operational behavior that you believe are not already 
> covered by this document. I know that the authors were trying to make 
> the MPLS-TP OAM "similar" to both general packet networks and general 
> transport networks - but they tried to do this by listing the detailed 
> requirements one by one.
>
> Thanks,
> Adrian
>